    # File lib/rbot/core/auth.rb, line 679
      def auth_create_user(m, params)
        name = params[:name]
        password = params[:password]
        return m.reply(_("are you nuts, creating a botuser with a publicly known password?")) if m.public? and not password.nil?
        begin
          bu = @bot.auth.create_botuser(name, password)
          @bot.auth.set_changed
        rescue => e
          m.reply(_("failed to create %{user}: %{exception}") % {:user => name,  :exception => e})
          debug e.inspect + "\n" + e.backtrace.join("\n")
          return
        end
        m.reply(_("created botuser %{user}") % {:user => bu.username})
      end